'''Simple data loader module.
  data.py
  Loads data files from the "data" directory shipped with a program/game.  
  Adapted from the Panspermia version - see ../README.txt for licence info.
  Verison 0.1.0
''' 
# Verison History
# 0.1.0  27/06/10  initial version.
import pygame, os

data_py = os.path.abspath(os.path.dirname(__file__))
data_dir = os.path.normpath(os.path.join(data_py, '..', 'data'))

def filepath(filename):
  return os.path.join(data_dir, filename)

def load(filename, mode='rb'):
  return open(filepath(filename), mode)

def join(part1, part2):
  return os.path.join(part1, part2)

def loadimg(filename):
  f=join(filepath("Skin"), filename)
  return pygame.image.load(f).convert_alpha()  ### _alpha???
