"""Player
  player.py 
  Handles the playing of the media.
  Simon May aka may88
  Verison 0.1.0
  """
# Verison History
# 0.1.0  27/06/10  initial version.

import data,visuals,jukebox,defs   ###,id3reader
import pygame ###,mutagen.mp3

ENDMUSIC=42
lastRewind=None
volume=0.0

def init():
  pygame.mixer.init()
  pygame.mixer.music.set_endevent(ENDMUSIC)
  getVol()

def exit():
  pygame.mixer.music.set_endevent()
  pygame.mixer.quit()
#
# play the track.  set repeat to -1 for infinate playback.
def play(trackName,repeat=0):
  global lastRewind 
#  id3r = id3reader.Reader(trackName)
#  id3r.dump() ###
#  trackmeta=mutagen.mp3.MP3(trackName)
#  print trackmeta.pprint() 
#  print trackmeta["TLEN"]
  pygame.mixer.music.load(trackName)
  pygame.mixer.music.play(repeat)
  lastRewind=0

def stop():
  pygame.mixer.music.stop()

def rewind():
  global lastRewind 
  lastRewind=pygame.mixer.music.get_pos()
  pygame.mixer.music.rewind()

def pause():
  if visuals.paused:
    pygame.mixer.music.unpause()
    visuals.paused=False
  else:
    pygame.mixer.music.pause()
    visuals.paused=True

def next():
  play(jukebox.next())

def prev():
  timeMS=pygame.mixer.music.get_pos() - lastRewind
  #print timeMS ###
  if timeMS >= defs.PREV_MS: rewind()
  else: play(jukebox.prev())

def autostart():
  play(jukebox.current())
  
def getVol():
  global volume
  volume=pygame.mixer.music.get_volume()
  #print volume ###

def setVol():
  global volume
  pygame.mixer.music.set_volume(volume)
##fin
